OpenTTD Source: SlGamelogOldver Class Reference

OpenTTD Source 14.0-RC3

Public Member Functions | Static Public Attributes
SlGamelogOldver Class Reference
Inheritance diagram for SlGamelogOldver:

## Public Member Functions
void | Save (LoggedChange *lc) const override
void | Load (LoggedChange *lc) const override
void | LoadCheck (LoggedChange *lc) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlGamelogOldver, LoggedChange >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
virtual void | Save ([[maybe_unused]] LoggedChange *object) const
void | Save (void *object) const override
virtual void | Load ([[maybe_unused]] LoggedChange *object) const
void | Load (void *object) const override
virtual void | LoadCheck ([[maybe_unused]] LoggedChange *object) const
void | LoadCheck (void *object) const override
virtual void | FixPointers ([[maybe_unused]] LoggedChange *object) const
void | FixPointers (void *object) const override
Public Member Functions inherited from SaveLoadHandler
virtual void | Save ([[maybe_unused]] void *object) const
| Save the object to disk. More...
virtual void | Load ([[maybe_unused]] void *object) const
| Load the object from disk. More...
virtual void | LoadCheck ([[maybe_unused]] void *object) const
| Similar to load, but used only to validate savegames. More...
virtual void | FixPointers ([[maybe_unused]] void *object) const
| A post-load callback to fix SL_REF integers into pointers. More...
virtual SaveLoadTable | GetDescription () const =0
| Get the description of the fields in the savegame.
virtual SaveLoadCompatTable | GetCompatDescription () const =0
| Get the pre-header description of the fields in the savegame.
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk. More...

## Static Public Attributes
static const SaveLoad | description []
const static SaveLoadCompatTable | compat_description = _gamelog_oldver_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 80 of file gamelog_sl.cpp.

## Field Documentation

## ◆ description

const SaveLoad SlGamelogOldver::description[]
| inlinestatic

Initial value:
= {
SLE_VARNAME(LoggedChangeOldVersion, type, "oldver.type", SLE_UINT32),
SLE_VARNAME(LoggedChangeOldVersion, version, "oldver.version", SLE_UINT32),
}

Definition at line 82 of file gamelog_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/gamelog_sl.cpp

LoggedChangeOldVersion
Definition: gamelog_internal.h:61
SLE_VARNAME
#define SLE_VARNAME(base, variable, name, type)
Storage of a variable in every version of a savegame.
Definition: saveload.h:961